## Overview
The purpose of this mod is to add some level of scaling to (what I believe are) under performing items that don't really scale with the player.
At least that's what it used to be, now I sorta just change things that I think are underwhelming or never hear anything positive about it.

Configs are provided for those that wish to tweak or disable most changes made by this mod.

## Item Changes

### Bison Steak

```
- Gives 20 (+20 per stack) max health.
- Each level gives an additional 2 (+2 per stack) max health.
- Killing an enemy grants 2/hps regeneration for 3 seconds (+3 per stack).
```

<details><summary>Notes</summary>While Bison Steak isn't a terrible item and is generally seen as being better than its predecessor Fresh Meat, it suffers from being weaker than alternatives in its tier (Tougher Times, Repulsion Armor and Personal Shield Generator) and also doesn't scale or have any good synergies. These two changes help keep the item relevant throughout the run and offer something its alternatives don't have.</details>

### Topaz Brooch

```
- Now gives additional barrier equal to 0.5%(+0.5% per stack) of the users max health.
```

<details><summary>Notes</summary>Topaz Brooch is already considered a good item, this simply makes it more usable on high health builds/characters without the need for a Forgive Me Please or excessive stacking.</details>

### Hunter's Harpoon

```
- On kill effect lasts for 1.5(+0.75 per stack) seconds, instead of 1(+0.5 per stack) seconds.
- On kill effect also increases primary and secondary cooldown rate by +125%, fading the same as the speed boost.
```

<details><summary>Notes</summary>The buff now lasts longer to make the speed boost less jarring and because the general value of stacking felt underwhelming. The buff also increases primary and secondary skill cooldown rate as I feel the item doesn't do enough to justify being a Green.</details>

### Infusion

**Buff**

```
- Increases level instead of health.
- Minions inherit the samples you've collected, but still need to have infusions to benefit.
- Elites and Bosses give more samples.
```

**Rework**

```
- Increases level instead of health.
- Killing enemies gives 100% (+50% per stack) blood.
- Collecting enough blood creates a clone of yourself.
- Extra blood collected increases the clone's level.
```

<details><summary>Notes</summary>With the changes to Bison Steak this is now redundant. There's already a few mods that improve it so we're going for something more unusual instead.</details>

### Leeching Seed

**Buff**

```
- Hits heal 1.5 (+1.5 per stack) health with 50% of it being affected by proc coefficient. (Basically Withor's LeechingSeedBuff)
```

**Rework**

```
- Heals 2 (+2 per stack) health when dealing damage with a DoT.
- Attacks have a 25% chance to apply a DoT called "Leech" for 5s.
- Leech does not stack.
- Anyone that deals damage to a target with Leech will heal for 2% of the damage dealt.
```

<details><summary>Notes</summary>Leeching Seed is often compared to Harvester's Scythe and in most cases the latter is considered better. Both these changes are designed to give it a use case that Harvester's Scythe doesn't share.</details>

### Lepton Daisy

```
- Releases the healing nova every 10 seconds during Holdout events, instead of being a limited amount based on the team's stack count.
- The nova heals 15% (+10% per stack), hyperbolically capping at 200% of the target's maximum health.
```

<details><summary>Notes</summary>Lepton Daisy suffers from being unreliable or a dead item half the time. This makes it shine in the situations it can actually be used.</details>

### Old War Stealthkit

```
- Cooldown now stacks similar to Genesis loop. (This is a nerf.)
- Has its own unique buff called "Stealthed" instead of sharing with Bandit's Smokebomb.
- Upon activation you are forced out of "Combat" and "Danger" for 0.5 seconds.
- Upon activation, removes all damage over time effects.
```

<details><summary>Notes</summary>Adds synergy to a few items and helps with disengaging from dangerous situations.</details>

### Squid Polyp

````
- Stacking now increases the lifespan of the Squid Polyp. (+3 seconds per stack)
- Stacking increases the armor of the Squid Polyp. (+10 per stack)
- The Squid Polyp's attack now applies Tar.
- Squid Polyps now have their healing disabled if they haven't been active for a while. (25-27 seconds)
````

<details><summary>Notes</summary>Squid Polyp is either an automatic scrap or specifically built around, in the latter's case you typically need to dedicate all your item choices to it. The Tar debuff is mostly for Death Mark synergy, but it's also useful for keeping enemies within range for longer. The lifespan and armor stacking bonuses give the item more value when stacking which is where I believe it suffers most. Disabling healing for Squids that have been inactive for too long is for those situations where you've hit the minion cap and you have ten Squid Polyps chilling on the other side of the map.</details>

### War Horn

```
- Now gives +60% (+15% per stack) attack speed, instead of 70% attack speed.
- Duration lasts 6 (+2 per stack) seconds, instead of 8(+4 per stack) seconds.
```

<details><summary>Notes</summary>War Horn is pretty good for a green item but once you have full uptime further stacks don't mean much. This change makes getting extra less of a dead item.</details>

### Wax Quail

```
- Jump boost has been removed from natural air jumps. (Mercenary's double jump for example)
- Jump boost strength is now 12 (+6 per stack), hyperbolically capping at 150 instead of 10 (+10 per stack) with no cap.
- Jump boost also gives a 20% boost to vertical jump height.
- Gives +14% (+7% per stack), hyperbolically capping at 150% movement speed while airborne.
```

<details><summary>Notes</summary>Wax Quail can be annoying to use at even just 10 stacks, these changes make stacking more valuable without ruining movement as quickly.</details>

### Aegis

```
- Excess health regen now counts towards barrier gain.
- Gives 20 (+20 per stack) armor.
```

<details><summary>Notes</summary>Aegis can be difficult to use on shorter runs but is otherwise powerful. Excess regen becoming barrier can help kick-start builds that are a bit short on healing, and the extra armor ensures it's never a dead pick up.</details>

### Ben's Raincoat

```
- Now gives 2 (+2 per stack) debuff blocks, instead of 1( +1 per stack).
- Cooldown now begins when a debuff is blocked, instead of when all stacks of the block is consumed.
- Cooldown now lasts 7 seconds, instead of 5 seconds.
```

<details><summary>Notes</summary>Ben's Raincoat's rework in 1.2.3 is more thematically fitting but the nerf was a bit overkill. The biggest offender is that the cooldown only starts when all stacks of its buff is exhausted making the item potentially awkward to use and lowering its stacking value. This buff aims to fix theses two issues.</details>

### Laser Scope

```
- Gives +5% critical strike chance on the first stack.
```

<details><summary>Notes</summary>This is to keep consistent with other crit items.</details>

### Lost Seer's Lenses

```
- Has a 0.5% (+0.5% per stack) chance to detain an enemy on hit for 5000% base damage.
```

<details><summary>Notes</summary>After many runs I've found Lost Seer's Lenses to be unenjoyable due to it doing nothing against bosses and completely removing regular enemies, I've yet to see any mods that change this so I'm trying my hand at it.</details>

### Voidsent Flame

```
- Detonates on the user's first hit against an enemy, instead of at 100% or more health.
- Minions with Voidsent Flame will count as both theirself and their owner for the purposes of proccing the item.
- Explosion radius is now 10m (+2m per stack), instead of 12m (+2.4m per stack).
```

<details><summary>Notes</summary>The method to proc this item is unusual and very specific, this change makes it more reasonable especially in a multiplayer scenario. The blast radius was also nerfed slightly to make up for this change.</details>

### Newly Hatched Zoea

**Rework**

```
- Activating your Special skill will launch a swarm of missiles that deal 300% (+75% per stack) base damage each.
- The swarm contains 12 (+4 per stack) missiles that get reloaded over 30 seconds.
```

<details><summary>Notes</summary>Newly Hatched Zoea is pretty underwhelming for how late it can be obtained. This rework moves it away from being a minion item and gives it the stacking potential of Shurikens, making it fairly strong by the time it's avaliable.</details>

### Defense Nucleus

**Shared Changes**

```
- The projectile that spawns the construct will now replace and kill excess constructs instead of spawning nothing.
- Alpha Construct Ally are now flagged as Mechanical, meaning they're affected by Spare Drone Parts and Captain's passive.
```

**Buff**

```
- Removed "Elite" requirement for kills.
- Limited to 4 Alpha Constructs at all times.
- Stacking now increases the health and damage of the summons.
```

**Rework**

```
- Activates when using equipment.
- Summons 3 Alpha Constructs on activation.
- Gives a temporary Xi Construct projectile shield on activation.
- Stacking increases the health and damage of the summons and duration of the shield.
```

<details><summary>Notes</summary>This item isn't all that great when considering the requirement to proc and the fact that the stacking doesn't work well. These two options should hopefully make the item exciting to find.</details>

### Planula

**Buff**

```
- Heal from incoming damage for 10 (+10 per stack) plus an additional 2% (+2% per stack) of maximum health.
```

**Rework**

```
- While in combat, all enemies within 13m are burned for 500% (+500% per stack) base damage.
```

<details><summary>Notes</summary>While the effect is neat the lack of scaling plus how late it appears makes it a let down compared to the uncommon items a teleporter could've given instead.</details>

### Titanic Knurl

**Buff**

```
- Health increase is boosted further by level.
```

<details><summary>Notes</summary>Because Bison Steak was buffed like this it only makes sense for Titanic Knurl to get the same buff.</details>

**Rework**

```
- Every 6 seconds a Stone Fist attacks an enemy within 60 metres for 800% damage.
- Stacking increases the cooldown rate by +15% and damage by +600%.
```

<details><summary>Notes</summary>While Titanic Knurl isn't bad it's effect is boring compared to all other boss items. This rework is made to mimic the Stone Titan's Stone Fist ability, which should make it feel more like a boss item than before.</details>

## Artifact Changes

### Artifact of Spite

```
Bomb damage is based on the enemy's level instead of damage.
Default scaling is 12 (+2.4 per level) damage.
```

<details><summary>Notes</summary>This is a small thing that personally bugs me. There's no real way to tell how much damage each spite bomb will do so having it based on level makes the damage much more consistent and forgiving.</details>

## Known Issues

- The air speed bonus from Wax Quails remains for a single tick when landing, this means if you "Bunny Hop" the jump boost is strengthened by the air speed bonus.

## Change Log

**1.16.0**

```
- Infusion:
- Changed how levels are calculated so "Soft Cap" isn't skewed by "Stack Level".

- Leeching Seed Rework:
- "Leech Minimum Life Steal" no longer scales with level.
- Changed "Leech Minimum Life Steal" default configuration. (0.2 -> 0.5)

- Lost Seer's Lenses:
- Added "Deal Total" configuration, makes it use the total damage instead of the base damage.

- Titanic Knurl Rework:
- Fixed the effect doubling up.

- Planula Rework:
- Changed "Burn Radius" default configuration. (13 -> 15)

- Added a rework to the Newly Hatched Zoea.
```

**1.15.2**

<details><summary>Notes</summary>The way the mod handles its configs has changed greatly, so be ready to reconfigure them. Also default configurations may have changed that is not listed in this update.</details>

```
- Bison Steak:
- Changed pickup text to be consistent with other pickup texts.

- Topaz Brooch:
- Changed "Base Flat Barrier" default configuration. (14 -> 15)
- Changed "Stack Flat Barrier" default configuration. (14 -> 15)

- Infusion:
- Brought back the old infusion changes as per a user's request, the new infusion changes are now listed as a rework.

- Infusion Rework:
- Added "Leash Distance" configuration, gives the clone a custom minion leash distance.
- Clones are automatically killed if their owner no longer exists.

- Leeching Seed:
- Changed "Proc Healing" default configuration. (0.5 -> 0.75)
- Changed "Base Healing" default configuration. (0.5 -> 0.75)

- Leeching Seed Rework:
- Changed "Leech Minimum Life Steal" default configuration. (0.1 -> 0.02)

- Squid Polyp:
- Changed "Inactive Removal" default configuration. (20 -> 30)
- Squid Turrets are now killed from inactive removal instead of having their healing disabled.

- Ben's Raincoat:
- Removed "Improve Cooldown" configuration, is now always in effect when changes are enabled.
```

**1.15.1**

```
- Infusion:
- Fixed changes breaking Cautious Slug.

- Wax Quail:
- Actually uses the default configurations from the previous update.

- Ben's Raincoat:
- Changed "Stack Block" default configuration. (1 -> 2)

- Fixed a few item descriptions that mention base damage to be consistent with vanilla.
```

**1.15.0**

<details><summary>Notes</summary>Completely changed Lost Seer's Lenses effect since the bands mechanic was too complicated for a common item. Also completely changed Infusion since the previous version didn't address the scaling issue at all and there's a few other mods that already improve it.</details>

```
- Infusion:
- Effect has been reworked completely.
- Collecting enough blood from slain enemies creates a clone of yourself.
- Further collection of blood increases the clone's level.

- Old War Stealthkit:
- Removes damage over time effects on activation.
- Changed "Cancel Duration" default configuration. (1.0 -> 0.5)

- Wax Quail:
- Changed "Capped Horizontal Boost" default configuration. (150 -> 240)
- Changed "Capped Air Speed Bonus" default configuration. (1.5 -> 2.8)

- Lost Seer's Lenses:
- Effect has been changed completely.
- Works the same as the vanilla version but instead of an instant kill it deals a very high amount of base damage and works against bosses.

- Titanic Knurl Rework:
- Removed the unmentioned 50% cooldown rate bonus while at low health.
- Changed "Base Damage" default configuration. (7.0 -> 8.0)
- Changed "Stack Damage" default configuration. (4.0 -> 6.0)
- Changed "Attack Distance" default configuration. (50.0 -> 60.0)

- Added a buff and rework to Planula.
```

**1.14.4**

```
- Added changes for Artifact of Spite that are disabled by default.

- Defense Nucleus Buff:
- No longer procs itself when it kills, removed the "Minion Can Proc" configuration as a result.

- Lepton Daisy:
- Fixed various bugs involving heal amounts.
```

**1.14.3**

```
- Updated R2API dependencies.
- Likely broke 10 other things.

- Lost Seer's Lenses:
- Fixed breaking everything if RiskyMod wasn't installed.
- Changed "Proc Coefficient" default configuration. (0 -> 0.1)
```

**1.14.2**

```
- Hunter's Harpoon:
- Added configurations to enable the cooldown effect for Primary, Secondary, Utility and Special skills.

- Lepton Daisy:
- Changed "Base Healing" default configuration. (0.1 -> 0.15)

- Lost Seer's Lenses:
- Rework effect so that it chains to nearby enemies instead of acting like a blast.
- Now ignores hits that have the "Rings" proc mask.
- Fixed crowbar changes from RiskyMod triggering the damage threshold.
- Changed "Base Radius" default configuration. (20 -> 25)
- Changed "Base Damage" default configuration. (0.15 -> 0.1)
- Changed "Stack Damage" default configuration. (0.15 -> 0.1)

- Titanic Knurl Rework:
- Added "Proc Bands" configuration, controls if the stone fist is allowed to proc bands.

- Defense Nucleus Shared:
- Removed "Death Explosion Radius" and "Death Explosion Damage" configurations.
- Alpha Construct Ally no longer create explosions on death.
```

**1.14.1**

```
- Lost Seer's Lenses:
- Removed the automatic crit effect.
- Now triggers on a damage threshold like Runald's and Kjaro's.
- Added "Trigger Threshold" configuration, controls the amount of damage needed to trigger the effect.
```

**1.14.0**

```
- Removed Red Whip Changes.

- Voidsent Flame:
- Added "Base Damage" and "Stack Damage" configurations, controls the damage of the Voidsent Flame explosion.
- Added "Proc Coefficient" configuration, controls the Proc Coefficient of the Voidsent Flame explosion.

- Leeching Seed Rework:
- Leech's minimum healing is now enforced after being multiplied by the proc coefficient.
- Changed "DoT Heal" default configuration. (1 -> 2)
- Changed "Leech Life Steal" default configuration. (0.01 -> 0.02)
- Added "Leech Minimum Life Steal" configuration, controls the minimum amount of healing Leech gives.

- Titanic Knurl Rework:
- Changed "Stack Damage" default configuration. (3.5 -> 4)

- Added a rework for Lost Seer's Lenses.
```

## Credits

* **duckduckgreyduck** - Their GreenAlienHead mod was used as reference for some IL code.
* **Risk of Thunder's R2Wiki** - Wouldn't have been able to understand the above mod without this.
* **Moffein/Risky_Lives** - IL code references + Config & SharedHooks code.
* **Hopoo Games** - For leaving Bison Steak in its current state.
* **Conq#1738** - Benthic Bloom rework concept.
* **ChrisFeline** - Fake damage number removal for Lost Seer's Lenses effect.

## Contact

You can find me as kking117#0370 on Discord.